org.apache.catalina.valves

## Class AccessLogValve.LocalAddrElement

- java.lang.Object
- - org.apache.catalina.valves.AccessLogValve.LocalAddrElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  AccessLogValve

    protected static class AccessLogValve.LocalAddrElement
    extends Object
    implements AccessLogValve.AccessLogElement

write local IP address - %A

### Constructor Summary

Constructors
`protected` `AccessLogValve.LocalAddrElement()`

### Method Summary

Methods
`void` `addElement(StringBuilder buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessLogValve.LocalAddrElement

    protected AccessLogValve.LocalAddrElement()

### Method Detail

#### addElement

    public void addElement(StringBuilder buf,
                  Date date,
                  Request request,
                  Response response,
                  long time)

Specified by:
  `addElement` in interface `AccessLogValve.AccessLogElement`